import PropTypes from 'prop-types';

const BookingWrapper = (props) => {

    const { seatData } = props;

    return (
        <div>
            <div className='theatre'>
                {Array.from({ length: seatData.row }, (_, row_index) => (
                    <div className='seat-row'>
                        {Array.from({ length: seatData.colum }, (_, column_index) => {
                            const isFirstRow = row_index === 0;
                            const isLastRow = row_index === seatData.row - 1;

                            if (isLeftBlock(column_index) && column_index === 0 && (isFirstRow || isLastRow)) {
                                return <div key={`gap-left-${row_index}-${column_index}`} className="seat-gap" />;
                            }

                            if (
                                isRightBlock(column_index) &&
                                column_index === seatData.colum - 1 &&
                                (isFirstRow || isLastRow)
                            ) {
                                return <div key={`gap-right-${row_index}-${row_index}`} className="seat-gap" />;
                            }
                            if (column_index == seatData.aisleIndex) {
                                return (
                                    <div className='aisle'></div>
                                )
                            }
                            return (
                                <div className='column'></div>
                            )
                        })}
                    </div>
                ))}
            </div>
        </div>

    )
}

export default BookingWrapper;

BookingWrapper.prototype = {
    seatData: PropTypes.arrayOf(
        PropTypes.shape({
            id: PropTypes.string.isRequired,
            status: PropTypes.oneOf(['available', 'reserved', 'selected']).isRequired,
        })).isRequired
}